RUP(1)

NAME
rup - remote uptime display

SYNOPSIS
rup { -u | -v | hosts ... }

DESCRIPTION
rup displays a summary of the current status of a particular host or all hosts on the local network.
The output shows how long the system has been up, the number of users currently on the system (if the system is running the current version of rpc.rstatd(8)), and the load averages.
The load average numbers give the number of jobs in the run queue averaged over 1, 5 and 15 minutes.
The rpc.rstatd(8) daemon must be running on the remote host for this command to work.
rup uses an RPC protocol defined in /usr/include/rpcsvc/rstat.x

COMMAND LINE OPTIONS

-v  prints the current version of rup and exits

-u  broadcasts for infornmation from machines capable of returning users information implemented in the newest version of rpc.rstatd

DIAGNOSTICS

rup: RPC: Program not registered
    The rpc.rstatd(8) daemon has not been started on the remote host.

rup: RPC: Timed out
    A communication error occurred. Either the network is excessively congested, or the rpc.rstatd(8) daemon has terminated on the remote host.

rup: RPC: Port mapper failure - RPC: Timed out
    The remote host is not running the portmapper (see rpc.rstatd(8)) and cannot accomodate any RPC-based services. The host may be down.

SEE ALSO
portmap(8), rpc.rstatd(8), inetd(8)

HISTORY
The rup command appeared in SunOS.

BUGS
The sorting options are not implemented.

AUTHOR
Adam Migus (amigus@cs.mun.ca)